import com.rinearn.graph2d.RinearnGraph2D;
import com.rinearn.graph2d.RinearnGraph2DOptionItem;
import com.rinearn.graph2d.renderer.RinearnGraph2DRenderer;
import java.awt.Color;


/**
 * グラフの描画エンジンを直接操作して、
 * 自由な位置に点や線を描くサンプルコードです。
 */
public class Sample5 {
	public static void main(String[] args) {

		// グラフを起動してレンダラー（描画エンジン）を取得
		RinearnGraph2D graph = new RinearnGraph2D();
		RinearnGraph2DRenderer renderer = graph.getRenderer();

		// グラフ領域内の(0.3, 0.5)の位置に、半径8ピクセルで赤色の点を描画
		renderer.drawPoint(0.3, 0.5, 8.0, Color.RED);

		// グラフ領域内の(-0.2,-0.3)と(0.8,0.5)を結ぶ、太さ3ピクセルで青色の線を描画
		renderer.drawLine(-0.2, -0.3, 0.8, 0.5, 3.0, Color.BLUE);

		// スクリーンの再描画（レンダリング）
		renderer.render();
	}
}
